<?php
include("cap.php");
$m=100;
  function foto($foto)
 {
                global $m;
                global $id;
                $size_img=array();
                //Размер
                $size_img=getimagesize("$foto");

                $w_f=$size_img[0];
                $h_f=$size_img[1];
                if($size_img[0]>$m)
                   {
                     $balans=$size_img[0]/$m;
                     if(round($balans)>=1)
                        {
                          $size_img[0]=$size_img[0]/$balans;
                          $size_img[1]=$size_img[1]/$balans;
                        }

                   }
                if($size_img[1]>$m)
                   {
                     $balans=$size_img[1]/$m;
                     if(round($balans)>=1)
                        {
                         $size_img[0]=$size_img[0]/$balans;
                         $size_img[1]=$size_img[1]/$balans;
                        }
                   }

                echo "<img src=$foto width=$size_img[0] height=$size_img[1] border=0 align=middle>&nbsp;
                <a href=foto_del.php?id=$id><img src=../img/del.png alt='удалить' border=0></a>";
 }

chdir("..");
$info="";
if(isset($_POST['add']))
  {
    $_POST['name']=trim($_POST['name']);
    $_POST['email']=trim($_POST['email']);
    $_POST['pasv']=trim($_POST['pasv']);
    $_POST['about']=trim($_POST['about']);
    $_POST['about']=stripslashes($_POST['about']);
    $_POST['about']=str_replace("\r\n","<br>",$_POST['about']);
    if($_POST['name']=="" || $_POST['email']=="" || $_POST['pasv']=="") $info="Для ввода обязательны имя, адрес и пароль. ";
    if(strlen( $_POST['pasv']) <6) $info.="Пароль должен быть не менее 6 символов.";

    if($info=="")
      {
         $cons=array();
         $cons=file("conf/cons.txt");

         $f=fopen("conf/cons.txt","w");
         foreach($cons as $line)
          {
            $line=trim($line);
            $expl=explode("*",$line);
            if($expl[0]==$id)fwrite($f,$id."*".$_POST['name']."*".$_POST['email']."*".$_POST['pasv']."\r\n");
            else fwrite($f,$line."\r\n");
          }
         fclose($f);

         $f=fopen("cons/ac/$id","w");
         fwrite($f,md5($_POST['pasv']));
         fclose($f);

         $f=fopen("cons/cons/$id","w+");
         fwrite($f,$_POST['name']."*".$_POST['email']."\r\n".$_POST['about']);
         fclose($f);

         $p_name=$_POST['name'];
         $p_email=$_POST['email'];
         $p_pasv=$_POST['pasv'];
         $about[1]=str_replace("<br>","\r\n",$_POST['about']);

      }

       if(@$_FILES['load']['name']!="")
          {
            //Изображение ли это
            if(substr($_FILES['load']['type'],0,5)!="image" )  $info="Файл не является изображением.";

            if($info=="")
              {
               $arr_type=array('gif','png','jpg','bmp');
        	   $typ=false;
        	   for($i=0; $i<4; $i++)
        	    {
                    if(ereg("^(.*)\\.$arr_type[$i]",$_FILES['load']['name']))
                      {
                        $typ=true;
                        break;
                      }
        	    }
        	   if(!$typ)$info="Для загрузки разрешены типы: gif, png, jpg, bmp.";
              }
             if($info=="")
               {
               	 if($_FILES['load']['size']> (200*1024)) $info="Размер файла логотипа превышает допустимый-200кб.";
               }
              if($info=="")
               {
                //Расширение файла
                 $type_file=explode(".",$_FILES['load']['name']);
                 $name_foto=$id.".".$type_file[count($type_file)-1];
                 if(copy($_FILES['load']['tmp_name'],"cons/foto/".$name_foto));
                 else $info="Загрузка файла неудачна. Попробуйте ещё раз.";

                 echo "<meta http-equiv=refresh content='0; url=admin3.php?sel3=selected'>";

               }

          }
  }

$cons=array();
$cons=file("conf/cons.txt");
 foreach($cons as $line)
  {
    $expl=explode("*",$line);
    if($expl[0]==$id)
       {
         list($p_id,$p_name,$p_email,$p_pasv)=$expl;
         break;
       }
  }
chdir("cons");
$about=array();
$about=file("cons/$id");
if(!isset($about[1]))$about[1]="";
$about[1]=str_replace("<br>","\r\n",$about[1]);
//Фото, если есть
$foto=array();
 $d=opendir("foto");
   while(($e=readdir($d))!=false)
     {
       if($e =="." || $e ==".." || $e==".htaccess" ) continue;
       $foto[]=$e;
     }
  closedir($d);

?>
<table align=center class=consTable>
  <tr>
    <td>
<table width=80% align=center  border=0><tr><td>


<form  action="admin3.php?sel3=selected" method="post" enctype=multipart/form-data><?if($info!="") echo "<font color=red>$info</font><br />"?>
Имя<br />
<input name="name" type="text" value="<?echo $p_name?>" size=50><br /><br />
e-mail<br />
<input name="email" type="text" value="<?echo $p_email?>" size=50><br /><br />
Пароль (минимум 6 символов)<br />
<input name="pasv" type="text" value="<?echo $p_pasv?>" size=10><br /><br />
О себе<br />
<textarea name="about" rows=20 cols=60 ><?echo $about[1]?></textarea>
<br />
<input id=button type="submit" value="Изменить" name=add>



</td>
<td valign=top>

<?
$s=false;
foreach($foto as $line)
 {
 	 $expl=explode(".",$line);
 	 if($expl[0]==$id)
 	    {
          $s=true;
          foto("foto/$line");
 	      break;
 	    }
 }
if(!$s)echo "загрузить фото&nbsp;<input name=load type=file>";

?>

</form>
</td>

</tr></table>

    </td>

  </tr>

</table>



</body>
</html>